Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request POST \
--url https://{cluster}.voucherify.io/v1/rewards/{rewardId}/assignments \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"campaign": "camp_OTuGGP90PivbvROsRvfM65El",
"parameters": {
"loyalty": {
"points": 39
}
}
}
'{
"id": "rewa_cqD2XE5x8LcD2c1FLlvqikti",
"reward_id": "rew_C7wS9eHFDN4CIbXI5PpLSkGY",
"related_object_id": "camp_OTuGGP90PivbvROsRvfM65El",
"related_object_type": "campaign",
"parameters": {
"loyalty": {
"points": 39
}
},
"created_at": "2022-08-24T13:44:42.610Z",
"updated_at": null,
"object": "reward_assignment"
}Assigns a reward to a specified loyalty campaign.
curl --request POST \
--url https://{cluster}.voucherify.io/v1/rewards/{rewardId}/assignments \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"campaign": "camp_OTuGGP90PivbvROsRvfM65El",
"parameters": {
"loyalty": {
"points": 39
}
}
}
'{
"id": "rewa_cqD2XE5x8LcD2c1FLlvqikti",
"reward_id": "rew_C7wS9eHFDN4CIbXI5PpLSkGY",
"related_object_id": "camp_OTuGGP90PivbvROsRvfM65El",
"related_object_type": "campaign",
"parameters": {
"loyalty": {
"points": 39
}
},
"created_at": "2022-08-24T13:44:42.610Z",
"updated_at": null,
"object": "reward_assignment"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
A unique reward ID.
"rew_2erjvECLs92GYzKbak3QkyTV"
Provide the campaign ID of the campaign to which the reward is to be assigned and define the cost of the reward in terms of loyalty points.
Returns a reward assignment object.
Response body schema for POST v1/rewards/{rewardId}/assignments/.
Unique reward assignment ID, assigned by Voucherify.
"rewa_PbIRoMXpwe5QhobW4JKu0VjH"
Associated reward ID.
"rew_C7wS9eHFDN4CIbXI5PpLSkGY"
Timestamp representing the date and time when the reward assignment was created. The value is shown in the ISO 8601 format.
"2022-08-11T14:49:22.586Z"
Timestamp representing the date and time when the reward assignment was updated. The value is shown in the ISO 8601 format.
"2022-08-11T16:01:34.885Z"
The type of the object represented by the JSON. This object stores information about the reward assignment.
reward_assignment Related object ID to which the reward was assigned.
"camp_wciTvaOfYmAa3EmIIW3QpXXZ"
Related object type to which the reward was assigned.
campaign Defines the cost of the reward.
Show child attributes
Was this page helpful?